/****************************************************/
/* Guns and crime                                   */
/* Produces Table 1                                 */
/****************************************************/


/* insert library reference here */
libname a "/home/cemood/myfiles/Data";
options nocenter;


/* get data from guns.sas7bdat */
data temp;set a.guns;

/* drop DC */
if state ne 9;

/* fix prison population here             */
/* note that prison is stock at year end  */

if pradj=. then pradj=0;
prison=prcye+pradj;
prison=(prison+lag(prison))/2;

prison=prison/pop;


/* make variables here */

ptot=p0099;
p1517=p1517/ptot;
p1824=p1824/ptot;
p2534=p2534/ptot;
p3544=p3544/ptot;
p4554=p4554/ptot;
p5564=p5564/ptot;

pcgammo=gunsamm/pop;

rpcpi=rpcpi/1000;
rpcui=rpcui/1000;
rpcim=rpcim/1000;
rpcrpo=rpcrpo/1000;

trend=year-76;

crmaj=(crmur+crrap+crrob+crass+crbur)/pop;
crvio=(crmur+crrap+crrob+crass)/pop;
crmur=crmur/pop;
crrap=crrap/pop;
crrob=crrob/pop;
crass=crass/pop;
crbur=crbur/pop;
crlar=crlar/pop;
crmv=crmv/pop;

military=empmil/1000;
employ=employ/10000;

/* fix mags here */
amrmms=amrmms/pop;
amhms=amhms/pop;
amhgs=amhgs/pop;
gunsamm=gunsamm/pop;

/* choose guns here */

hg=gsshgra*100;
gun=gssra*100;

/* define pgs */
pgs=pctgsuic;

array yr yr77-yr98;
do over yr;
if year-76=_i_ then yr=1;else yr=0;
end;

array st st1-st51;
do over st;
if state=_i_ then st=1;else st=0;
end;




proc corr ;
var hg gun pgs phg pgun
	amrmms amhms amhgs gunsamm;
	


run;
