/****************************************************/
/* Guns and crime                                   */
/* Produces Table 2                                 */
/****************************************************/


/* insert library reference here */
libname a "/home/cemood/myfiles/Data";
options nocenter;


/* get data from guns.sas7bdat */

data temp;set a.guns;

/* drop DC */
if state ne 9;

/* make per capita magazine subscriptions here */
amrmms=amrmms/pop;
amhms=amhms/pop;
amhgs=amhgs/pop;
gunsamm=gunsamm/pop;

/* fix prison population here             */
/* note that prison is stock at year end  */

if pradj=. then pradj=0;
prison=prcye+pradj;
prison=(prison+lag(prison))/2;
prison=prison/pop;

/* make variables here */

ptot=p0099;
p1517=p1517/ptot;
p1824=p1824/ptot;
p2534=p2534/ptot;
p3544=p3544/ptot;
p4554=p4554/ptot;
p5564=p5564/ptot;

pcgammo=gunsamm/pop;

rpcpi=rpcpi/1000;
rpcui=rpcui/1000;
rpcim=rpcim/1000;
rpcrpo=rpcrpo/1000;

trend=year-76;

crmaj=(crmur+crrap+crrob+crass+crbur)/pop;
crvio=(crmur+crrap+crrob+crass)/pop;
crmur=crmur/pop;
crrap=crrap/pop;
crrob=crrob/pop;
crass=crass/pop;
crbur=crbur/pop;
crlar=crlar/pop;
crmv=crmv/pop;

military=empmil/1000;
employ=employ/10000;


pgs=pctgsuic;

array yr yr77-yr98;
do over yr;
if year-76=_i_ then yr=1;else yr=0;
end;

array st st1-st51;
do over st;
if state=_i_ then st=1;else st=0;
end;

/* multiply gss by 100 to match pgs */

gsshg=gsshgra*100;
gssgun=gssra*100;

proc reg;
Title "Natural units: levels";
model gsshg gssgun =pgs ;

Data temp; set temp;


/* take logs here */
Array x crmaj crmur gssgun gsshg pgs gunsuipc prison exec
    metpct ampct pop military employ unrate
	p1517 p1824 p2534 p3544 p4554 p5564
	rpcpi rpcim rpcui rpcrpo pop phg pgun;
	do over x;
	x=log(x+1);
	end;

crime=crmaj;

proc corr nosimple ;
Title "Log Levels";
var gsshg gssgun pgs phg pgun amrmms amhms amhgs gunsamm;

proc reg;
Title "Log levels";
model gsshg gssgun =pgs ;



run;
