/****************************************************/
/* Guns and Crime                                   */
/* Produces Table 3 (Means)                         */
/****************************************************/

/* insert library reference here */
libname a "/home/cemood/myfiles/Data";
options nocenter ;

/* get data from guns.sas7bdat */
data temp;set a.guns;

/* drop DC */

if state ne 9;


/* Define pgs here */


Pgs=pctgsuic;


/* fix prison population here             */
/* note that prison is stock at year end  */

if pradj=. then pradj=0;
prison=prcye+pradj;
prison=(prison+lag(prison))/2;
prison=prison/pop*1000;

/* make variables here */

ptot=p0099;
p1517=p1517/ptot*100;
p1824=p1824/ptot*100;
p2534=p2534/ptot*100;
p3544=p3544/ptot*100;
p4554=p4554/ptot*100;
p5564=p5564/ptot*100;

rpcpi=rpcpi/1000;
rpcui=rpcui/1000;
rpcim=rpcim/1000;
rpcrpo=rpcrpo/1000;

trend=year-76;




/*******************************/
/* Define arrests here         */
/*******************************/
crmaj=crmur+crrap+crrob+crass+crbur;
aoass=aoaga;
aomaj=aomur*(crmur/crmaj)+aorap*(crrap/crmaj)
       +aorob*(crrob/crmaj)+aoass*(crass/crmaj)
       +aobur*(crbur/crmaj);

/*********************************************/
/* make crime per capita here                */
/*********************************************/

array cr crmaj crmur crrap crrob crass crbur;
do over cr;
cr=cr/pop*1000;
end;

military=empmil/10000;
employ=employ/100000;


/**********************************/
/* Define guns here               */
/**********************************/

gun=gssra*100;
hg=gsshgra*100;



/* Take per capita gun mags here */

Array zz gunsamm amhgs amhms amrmms;
do over zz;
zz=zz/pop*1000;
end;


data temp; set temp;
if phg;

label
crmaj="major crime"
crmur="murder"
crrap="rape"
crrob="robbery"
crass="assault"
crbur="burglary"
hg="GSS handgun prevalence"
phg="imputed handgun prevalence"
gun="GSS gun prevalence"
pgs="percent gun suicide"
gunsamm="Guns & Ammo circulation"
amhgs="American Handgunner circulation"
amhms="American Hunter circulation"
amrmms="American Rifleman circulation"
prison="prison population per capita"
aomaj="arrest rate, major crime"
aomur="arrest rate, murder"
aorap="arrest rate, rape"
aorob="arrest rate, robbery"
aoass="arrest rate, assault"
aobur="arrest rate, burglary"
metpct="percent urban"
ampct="percent black"
military="military employment"
employ="total employment"
unrate="unemployment rate"
rpcpi="real per capita personal income"
rpcim="real per capita income maintenance"
rpcui="real p.c. unemployment insurance"
rpcrpo="real p.c. retirement payments"
p1517="percent population 15-17"
p1824="percent population 18-24"
p2534="percent population 25-34"
p3544="percent population 35-44"
p4554="percent population 45-54"
p5564="percent population 55-64"
pop="population"
;

Proc means mean;
var hg phg gun pgun pgs
gunsamm amhgs amhms amrmms
crmaj crmur crrap crrob crass crbur
prison aomaj aomur aorap aorob aoass aobur
metpct ampct military employ unrate
rpcpi rpcim rpcui rpcrpo
p1517 p1824 p2534 p3544 p4554 p5564
pop;
	



run;
