/****************************************************/
/* Computes cross section and time series variances */ 
/* to estimate attenuation bias                     */
/****************************************************/

options nocenter nolabel;

libname a "/home/cemood/myfiles/Data";

/* insert library reference here */
libname a "/home/cemood/myfiles/Data";
options nocenter nolabel;

/* get data from guns.sas7bdat */
data temp;set a.guns;

/* drop DC */
if state ne 9;


/* Define pgs here */


Pgs=pctgsuic;


/* fix prison population here             */

if pradj=. then pradj=0;
prison=prcye+pradj;
prison=(prison+lag(prison))/2;
prison=prison/pop;

/* make variables here */

ptot=p0099;
p1517=p1517/ptot;
p1824=p1824/ptot;
p2534=p2534/ptot;
p3544=p3544/ptot;
p4554=p4554/ptot;
p5564=p5564/ptot;

rpcpi=rpcpi/1000;
rpcui=rpcui/1000;
rpcim=rpcim/1000;
rpcrpo=rpcrpo/1000;

trend=year-76;


/***********************/
/* define arrests here */
/***********************/
crmaj=crmur+crrap+crrob+crass+crbur;
aoass=aoaga;
aomaj=aomur*(crmur/crmaj)+aorap*(crrap/crmaj)
       +aorob*(crrob/crmaj)+aoass*(crass/crmaj)
       +aobur*(crbur/crmaj);
crvio=crmur+crrap+crrob+crass;

crmur=crmur/pop*1000;
crrap=crrap/pop*1000;
crrob=crrob/pop*1000;
crass=crass/pop*1000;
crbur=crbur/pop*1000;
crlar=crlar/pop*1000;
crmv=crmv/pop*1000;
crmaj=crmaj/pop*1000;
crvio=crvio/pop*1000;

military=empmil;


array yr yr77-yr98;
do over yr;
if year-76=_i_ then yr=1;else yr=0;
end;

array st st1-st51;
do over st;
if state=_i_ then st=1;else st=0;
end;


/* Take per capita gun mags here */

Array zz gunsamm amhgs amhms amrmms;
do over zz;
zz=zz/pop;
end;

/* define guns here */
gsshg=gsshgra*100;

gssgun=gssra*100;


data means;set temp;
if 77 le year le 98;

proc means mean;
var crmur crrap crrob crass crbur crmaj 
gsshg phg gssgun pgun pgs
aomur aorap aorob aoass aobur aomaj
gunsamm amhgs amhms amrmms 
prison metpct ampct employ unrate 
rpcpi rpcim rpcui rpcrpo 
p1517 p1824 p2534 p3544 p4554 p5564 pop;

data temp;set temp;


Array x crmaj crmur crrap crrob crass crbur;
        do over x;
        x=log(x);
        end;

proc means mean noprint;
var gsshg;
by state;
output out=means mean=gsshgm;

*proc print data=means;

proc means mean data=means;

data means;set means;
if gsshgm=. then gsshgm=25.57; * overall mean ;
if state;
*proc print;

data temp2;set temp;
keep state year gsshg;

data temp2;merge means temp2;by state;
if gsshg;
*proc print;

proc means var;

/* sigmasqx is the variance of gsshgm (mean of gsshg)       */
/* sigmasqv is the difference between the variance of gsshg */
/* and the variance of gsshgm                               */



Run;
